Bullet Collision Detection & Physics Library: btMultiBodyLinkDoubleData Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btMultiBodyLinkDoubleData Struct Reference

`#include <btMultiBody.h>`

Collaboration diagram for btMultiBodyLinkDoubleData:
[legend]

## Public Attributes
btQuaternionDoubleData | m_zeroRotParentToThis
btVector3DoubleData | m_parentComToThisPivotOffset
btVector3DoubleData | m_thisPivotToThisComOffset
btVector3DoubleData | m_jointAxisTop [6]
btVector3DoubleData | m_jointAxisBottom [6]
btVector3DoubleData | m_linkInertia
btVector3DoubleData | m_absFrameTotVelocityTop
btVector3DoubleData | m_absFrameTotVelocityBottom
btVector3DoubleData | m_absFrameLocVelocityTop
btVector3DoubleData | m_absFrameLocVelocityBottom
double | m_linkMass
int | m_parentIndex
int | m_jointType
int | m_dofCount
int | m_posVarCount
double | m_jointPos [7]
double | m_jointVel [6]
double | m_jointTorque [6]
double | m_jointDamping
double | m_jointFriction
double | m_jointLowerLimit
double | m_jointUpperLimit
double | m_jointMaxForce
double | m_jointMaxVelocity
char * | m_linkName
char * | m_jointName
btCollisionObjectDoubleData * | m_linkCollider
char * | m_paddingPtr

## Detailed Description

Definition at line 763 of file btMultiBody.h.

## Member Data Documentation

## ◆ m_absFrameLocVelocityBottom

btVector3DoubleData btMultiBodyLinkDoubleData::m_absFrameLocVelocityBottom

Definition at line 775 of file btMultiBody.h.

## ◆ m_absFrameLocVelocityTop

btVector3DoubleData btMultiBodyLinkDoubleData::m_absFrameLocVelocityTop

Definition at line 774 of file btMultiBody.h.

## ◆ m_absFrameTotVelocityBottom

btVector3DoubleData btMultiBodyLinkDoubleData::m_absFrameTotVelocityBottom

Definition at line 773 of file btMultiBody.h.

## ◆ m_absFrameTotVelocityTop

btVector3DoubleData btMultiBodyLinkDoubleData::m_absFrameTotVelocityTop

Definition at line 772 of file btMultiBody.h.

## ◆ m_dofCount

int btMultiBodyLinkDoubleData::m_dofCount

Definition at line 781 of file btMultiBody.h.

## ◆ m_jointAxisBottom

btVector3DoubleData btMultiBodyLinkDoubleData::m_jointAxisBottom[6]

Definition at line 769 of file btMultiBody.h.

## ◆ m_jointAxisTop

btVector3DoubleData btMultiBodyLinkDoubleData::m_jointAxisTop[6]

Definition at line 768 of file btMultiBody.h.

## ◆ m_jointDamping

double btMultiBodyLinkDoubleData::m_jointDamping

Definition at line 787 of file btMultiBody.h.

## ◆ m_jointFriction

double btMultiBodyLinkDoubleData::m_jointFriction

Definition at line 788 of file btMultiBody.h.

## ◆ m_jointLowerLimit

double btMultiBodyLinkDoubleData::m_jointLowerLimit

Definition at line 789 of file btMultiBody.h.

## ◆ m_jointMaxForce

double btMultiBodyLinkDoubleData::m_jointMaxForce

Definition at line 791 of file btMultiBody.h.

## ◆ m_jointMaxVelocity

double btMultiBodyLinkDoubleData::m_jointMaxVelocity

Definition at line 792 of file btMultiBody.h.

## ◆ m_jointName

char* btMultiBodyLinkDoubleData::m_jointName

Definition at line 795 of file btMultiBody.h.

## ◆ m_jointPos

double btMultiBodyLinkDoubleData::m_jointPos[7]

Definition at line 783 of file btMultiBody.h.

## ◆ m_jointTorque

double btMultiBodyLinkDoubleData::m_jointTorque[6]

Definition at line 785 of file btMultiBody.h.

## ◆ m_jointType

int btMultiBodyLinkDoubleData::m_jointType

Definition at line 779 of file btMultiBody.h.

## ◆ m_jointUpperLimit

double btMultiBodyLinkDoubleData::m_jointUpperLimit

Definition at line 790 of file btMultiBody.h.

## ◆ m_jointVel

double btMultiBodyLinkDoubleData::m_jointVel[6]

Definition at line 784 of file btMultiBody.h.

## ◆ m_linkCollider

btCollisionObjectDoubleData* btMultiBodyLinkDoubleData::m_linkCollider

Definition at line 796 of file btMultiBody.h.

## ◆ m_linkInertia

btVector3DoubleData btMultiBodyLinkDoubleData::m_linkInertia

Definition at line 771 of file btMultiBody.h.

## ◆ m_linkMass

double btMultiBodyLinkDoubleData::m_linkMass

Definition at line 777 of file btMultiBody.h.

## ◆ m_linkName

char* btMultiBodyLinkDoubleData::m_linkName

Definition at line 794 of file btMultiBody.h.

## ◆ m_paddingPtr

char* btMultiBodyLinkDoubleData::m_paddingPtr

Definition at line 797 of file btMultiBody.h.

## ◆ m_parentComToThisPivotOffset

btVector3DoubleData btMultiBodyLinkDoubleData::m_parentComToThisPivotOffset

Definition at line 766 of file btMultiBody.h.

## ◆ m_parentIndex

int btMultiBodyLinkDoubleData::m_parentIndex

Definition at line 778 of file btMultiBody.h.

## ◆ m_posVarCount

int btMultiBodyLinkDoubleData::m_posVarCount

Definition at line 782 of file btMultiBody.h.

## ◆ m_thisPivotToThisComOffset

btVector3DoubleData btMultiBodyLinkDoubleData::m_thisPivotToThisComOffset

Definition at line 767 of file btMultiBody.h.

## ◆ m_zeroRotParentToThis

btQuaternionDoubleData btMultiBodyLinkDoubleData::m_zeroRotParentToThis

Definition at line 765 of file btMultiBody.h.

The documentation for this struct was generated from the following file:

- btMultiBody.h